summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2021-11-12 11:47:08 +0300
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2021-11-12 10:40:55 +0000
commit237d1faabc9d61700bab7c5c83a4de1f22cf7155 (patch)
treecf86e8e7d5e5ae50cc0adef3f5f0e5b81ebcdd0f
parentd27d4da0516224b37056bb59118e14c953aefa6e (diff)
downloadtde-packaging-gentoo-237d1faa.tar.gz
tde-packaging-gentoo-237d1faa.zip
Fixing build error for scripting-api submodule for tdeedu-doc
Signed-off-by: ormorph <roma251078@mail.ru>
-rw-r--r--trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild b/trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild
index 26e1063d..f31307ba 100644
--- a/trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild
+++ b/trinity-base/tdeedu-doc/tdeedu-doc-9999.ebuild
@@ -18,7 +18,9 @@ src_prepare() {
sed -i -e '/add_subdirectory( applnk )/d' \
-e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
echo 'tde_auto_add_subdirectories( )' >"${S}/doc/CMakeLists.txt" || die
- sed '/add_subdirectory/d' -i doc/kig/CMakeLists.txt || die
+
+ # Fixing the build error of the scripting-api submodule
+ sed -i 's/BUILD_DOC AND BUILD_KIG/BUILD_DOC/' "${S}/ConfigureChecks.cmake" || die
trinity-meta-2_src_prepare
}